Index: openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF
===================================================================
--- openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/plugins/org.jboss.tools.openshift.egit.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit Core
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.core;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.core.internal.EGitCoreActivator
 Require-Bundle: org.jboss.ide.eclipse.as.core;bundle-version="2.3.0",
  org.eclipse.jgit;bundle-version="1.2.0",
  org.eclipse.egit;bundle-version="1.2.0",
- com.jcraft.jsch;bundle-version="0.1.44",
+ com.jcraft.jsch;bundle-version="0.1.41",
  org.eclipse.egit.core;bundle-version="1.2.0",
  org.eclipse.team.core;bundle-version="3.6.0",
  org.eclipse.wst.server.core;bundle-version="1.1.302",
Index: openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF
===================================================================
--- openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/plugins/org.jboss.tools.openshift.egit.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit integration UI
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.ui.EGitUIActivator
 Require-Bundle: org.jboss.tools.openshift.egit.core;bundle-version="[2.3.0,3.0.0)",
  org.eclipse.egit.core;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.egit.ui;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.jgit;bundle-version="[1.0.0,2.0.0)",
- com.jcraft.jsch;bundle-version="[0.1.44,1.0.0)",
+ com.jcraft.jsch;bundle-version="[0.1.41,1.0.0)",
  org.eclipse.ui;bundle-version="[3.7.0,4.0.0)",
  org.eclipse.core.runtime,
  org.eclipse.core.expressions;bundle-version="[3.4.300,4.0.0)",
Index: openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF
===================================================================
--- openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/plugins/org.jboss.tools.openshift.express.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: OpenShift UI
 Bundle-SymbolicName: org.jboss.tools.openshift.express.ui;singleton:=true
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.openshift.express.internal.ui.OpenShiftUIActivator
 Require-Bundle: org.jboss.tools.openshift.express.client;bundle-version="2.3.0",
@@ -12,7 +12,7 @@
  org.eclipse.egit.ui;bundle-version="[1.0.0,2.0.0)",
  org.eclipse.egit.core;bundle-version="[1.1.0,2.0.0)",
  org.eclipse.jgit;bundle-version="[1.1.0,2.1.0)",
- com.jcraft.jsch;bundle-version="0.1.44",
+ com.jcraft.jsch;bundle-version="0.1.41",
  org.eclipse.jsch.core;bundle-version="[1.1.300,2.0.0)",
  org.jboss.ide.eclipse.as.core;bundle-version="2.3.0",
  org.eclipse.m2e.core;bundle-version="1.0.100",
@@ -35,16 +35,15 @@
  org.eclipse.ui.navigator;bundle-version="3.5.100",
  org.eclipse.ui.console;bundle-version="3.5.100",
  org.eclipse.core.expressions;bundle-version="3.4.300",
- org.eclipse.wst.common.modulecore;bundle-version="1.2.101",
  org.jboss.ide.eclipse.as.wtp.core;bundle-version="2.3.0",
  org.eclipse.ui.forms;bundle-version="3.5.100",
  org.eclipse.jface.text;bundle-version="3.7.0",
  org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
  org.jboss.ide.eclipse.archives.webtools;bundle-version="2.3.0",
- org.eclipse.equinox.security;bundle-version="1.1.1",
+ org.eclipse.equinox.security;bundle-version="1.1.0",
  org.jboss.ide.eclipse.as.dmr;bundle-version="2.3.0",
  org.eclipse.jsch.ui;bundle-version="1.1.300",
- org.eclipse.jdt.debug.ui;bundle-version="3.6.1",
+ org.eclipse.jdt.debug.ui;bundle-version="3.6.0",
  org.jboss.tools.common.ui;bundle-version="3.3.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF
===================================================================
--- openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/plugins/org.jboss.tools.openshift.express.client/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Client
 Bundle-SymbolicName: org.jboss.tools.openshift.express.client
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .,
@@ -14,5 +14,5 @@
 Export-Package: com.openshift.client,
  com.openshift.client.configuration,
  com.openshift.client.utils
-Require-Bundle: com.jcraft.jsch;bundle-version="0.1.44"
+Require-Bundle: com.jcraft.jsch;bundle-version="0.1.41"
 Import-Package: org.jboss.dmr
Index: openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF
===================================================================
--- openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/tests/org.jboss.tools.openshift.egit.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: EGit Tests
 Bundle-SymbolicName: org.jboss.tools.openshift.egit.test
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Activator: org.jboss.tools.openshift.egit.internal.test.EGitTestActivator
 Bundle-Vendor: JBoss by Red Hat
 Require-Bundle: org.eclipse.egit.core;bundle-version="1.0.0",
Index: openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF
===================================================================
--- openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF	(revision 42333)
+++ openshift/tests/org.jboss.tools.openshift.express.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: OpenShift Test
 Bundle-SymbolicName: org.jboss.tools.openshift.express.test
-Bundle-Version: 2.3.0.qualifier
+Bundle-Version: 2.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Require-Bundle: org.jboss.tools.openshift.express.ui;bundle-version="2.3.0",
  org.jboss.tools.openshift.express.client;bundle-version="2.3.0",
@@ -10,5 +10,5 @@
  org.eclipse.core.resources;bundle-version="[3.7.100,4.0.0)",
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  org.junit;bundle-version="[4.8.2,5.0.0)",
- com.jcraft.jsch;bundle-version="[0.1.44,1.0.0)"
+ com.jcraft.jsch;bundle-version="[0.1.41,1.0.0)"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: forge/plugins/org.jboss.tools.forge.runtime.ext/META-INF/MANIFEST.MF
===================================================================
--- forge/plugins/org.jboss.tools.forge.runtime.ext/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/plugins/org.jboss.tools.forge.runtime.ext/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.forge.runtime.ext
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Eclipse-BundleShape: dir
 Bundle-Vendor: %BundleProvider
Index: forge/plugins/org.jboss.tools.forge.runtime/META-INF/MANIFEST.MF
===================================================================
--- forge/plugins/org.jboss.tools.forge.runtime/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/plugins/org.jboss.tools.forge.runtime/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.forge.runtime
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-Vendor: %BundleProvider
 Bundle-Localization: plugin
Index: forge/plugins/org.jboss.tools.forge.core/META-INF/MANIFEST.MF
===================================================================
--- forge/plugins/org.jboss.tools.forge.core/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/plugins/org.jboss.tools.forge.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.forge.core;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.debug.core;bundle-version="3.7.0",
Index: forge/plugins/org.jboss.tools.forge.ui/META-INF/MANIFEST.MF
===================================================================
--- forge/plugins/org.jboss.tools.forge.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/plugins/org.jboss.tools.forge.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.forge.ui;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.ui.console,
@@ -18,9 +18,9 @@
  org.jboss.tools.forge.core;bundle-version="1.0.0",
  org.eclipse.core.filesystem;bundle-version="1.3.100",
  org.eclipse.ui.navigator;bundle-version="3.5.100",
- org.eclipse.rse.ui;bundle-version="3.2.1",
- org.eclipse.rse.core;bundle-version="3.2.1",
- org.eclipse.rse.subsystems.files.core;bundle-version="3.2.101",
+ org.eclipse.rse.ui;bundle-version="3.2.0",
+ org.eclipse.rse.core;bundle-version="3.2.0",
+ org.eclipse.rse.subsystems.files.core;bundle-version="3.2.100",
  org.eclipse.rse.subsystems.files.local;bundle-version="2.1.200",
  org.eclipse.core.expressions;bundle-version="3.4.300"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: forge/tests/org.jboss.tools.forge.core.test/META-INF/MANIFEST.MF
===================================================================
--- forge/tests/org.jboss.tools.forge.core.test/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/tests/org.jboss.tools.forge.core.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Forge Core Test Plugin
 Bundle-SymbolicName: org.jboss.tools.forge.core.test
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.junit;bundle-version="3.8.2",
Index: forge/tests/org.jboss.tools.forge.ui.test/META-INF/MANIFEST.MF
===================================================================
--- forge/tests/org.jboss.tools.forge.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/tests/org.jboss.tools.forge.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Forge UI Tests
 Bundle-SymbolicName: org.jboss.tools.forge.ui.test
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.junit;bundle-version="3.8.2",
Index: forge/tests/org.jboss.tools.forge.ui.bot.test/META-INF/MANIFEST.MF
===================================================================
--- forge/tests/org.jboss.tools.forge.ui.bot.test/META-INF/MANIFEST.MF	(revision 42333)
+++ forge/tests/org.jboss.tools.forge.ui.bot.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: org.jboss.tools.forge.ui.bot.test
 Bundle-SymbolicName: org.jboss.tools.forge.ui.bot.test;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityMessages.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityMessages.java	(revision 0)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityMessages.java	(revision 0)
@@ -0,0 +1,33 @@
+/*******************************************************************************
+ * Copyright (c) 2012 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.usage.installation;
+
+import org.eclipse.osgi.util.NLS;
+
+/**
+ * @author Alexey Kazakov
+ */
+public class CompatibilityMessages extends NLS {
+	private static final String BUNDLE_NAME = "org.jboss.tools.usage.installation.messages"; //$NON-NLS-1$
+
+	public static String CompatibilityCheckerDialogWarningMessage;
+	public static String CompatibilityCheckerEclipseLogWarningMessage;
+	public static String DoNotShowAgain;
+	public static String CheckingJob;
+
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, CompatibilityMessages.class);
+	}
+
+	private CompatibilityMessages() {
+	}
+}
\ No newline at end of file
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/EclipseVersionDialog.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/EclipseVersionDialog.java	(revision 0)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/EclipseVersionDialog.java	(revision 0)
@@ -0,0 +1,125 @@
+/*******************************************************************************
+ * Copyright (c) 2012 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.usage.installation;
+
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.dialogs.IDialogConstants;
+import org.eclipse.jface.layout.GridDataFactory;
+import org.eclipse.jface.window.IShellProvider;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Link;
+import org.eclipse.swt.widgets.Shell;
+import org.jboss.tools.usage.internal.JBossToolsUsageActivator;
+import org.jboss.tools.usage.internal.preferences.UsageReportPreferences;
+import org.jboss.tools.usage.util.BrowserUtil;
+
+/**
+ * @author Alexey Kazakov
+ */
+public class EclipseVersionDialog extends Dialog {
+
+	private Button doNotShowAgainButton;
+
+	public EclipseVersionDialog(IShellProvider parentShell) {
+		super(parentShell);
+	}
+	
+	public EclipseVersionDialog(Shell parentShell) {
+		super(parentShell);
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#createButtonsForButtonBar(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	protected void createButtonsForButtonBar(Composite parent) {
+		createButton(parent, IDialogConstants.OK_ID, IDialogConstants.OK_LABEL, true);
+		getButton(IDialogConstants.OK_ID).setFocus();
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#okPressed()
+	 */
+	@Override
+	protected void okPressed() {
+		if(doNotShowAgainButton.getSelection()) {
+			UsageReportPreferences.setEclipseVerionChecking(false);
+		}
+		super.okPressed();
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * @see org.eclipse.jface.dialogs.Dialog#createDialogArea(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	protected Control createDialogArea(Composite parent) {
+		Composite composite = (Composite) super.createDialogArea(parent);
+		createWidgets(parent, composite);
+		applyDialogFont(composite);
+
+		return composite;
+	}
+
+	private void createWidgets(Composite parent, Composite composite) {
+		Link link = new Link(composite, SWT.WRAP);
+		link.setFont(parent.getFont());
+
+		link.setText(CompatibilityMessages.CompatibilityCheckerDialogWarningMessage);
+		link.addSelectionListener(new SelectionAdapter() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				BrowserUtil.checkedCreateExternalBrowser(
+							e.text,
+							JBossToolsUsageActivator.PLUGIN_ID,
+							JBossToolsUsageActivator.getDefault().getLog());
+			}
+		});
+		GridDataFactory.fillDefaults()
+					.align(SWT.FILL, SWT.CENTER)
+					.grab(true, false)
+					.hint(500, SWT.DEFAULT)
+					.applyTo(link);
+
+		doNotShowAgainButton = new Button(composite, SWT.CHECK);
+		doNotShowAgainButton.setSelection(false);
+		doNotShowAgainButton.setText(CompatibilityMessages.DoNotShowAgain);
+		GridData data = new GridData(GridData.FILL_HORIZONTAL);
+		data.horizontalSpan = 2;
+		doNotShowAgainButton.setLayoutData(data);
+
+		// create a composite with standard margins and spacing
+		Composite comp = new Composite(parent, SWT.NONE);
+		comp.setLayout(createLayout());
+		GridData childData = new GridData(GridData.FILL_BOTH);
+		childData.horizontalSpan = 2;
+		comp.setLayoutData(childData);
+		comp.setFont(parent.getFont());
+	}
+
+	private GridLayout createLayout() {
+		GridLayout gl = new GridLayout(2, false);
+		gl.marginHeight = convertVerticalDLUsToPixels(IDialogConstants.VERTICAL_MARGIN);
+		gl.marginWidth = convertHorizontalDLUsToPixels(IDialogConstants.HORIZONTAL_MARGIN);
+		gl.verticalSpacing = convertVerticalDLUsToPixels(IDialogConstants.VERTICAL_SPACING);
+		gl.horizontalSpacing = convertHorizontalDLUsToPixels(IDialogConstants.HORIZONTAL_SPACING);
+		return gl;
+	}
+}
\ No newline at end of file
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityChecker.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityChecker.java	(revision 0)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/installation/CompatibilityChecker.java	(revision 0)
@@ -0,0 +1,105 @@
+/*******************************************************************************
+ * Copyright (c) 2012 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.usage.installation;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Platform;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.core.runtime.jobs.Job;
+import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.PlatformUI;
+import org.jboss.tools.usage.internal.JBossToolsUsageActivator;
+import org.jboss.tools.usage.internal.preferences.UsageReportPreferences;
+import org.osgi.framework.Bundle;
+import org.osgi.framework.Version;
+
+/**
+ * @author Alexey Kazakov
+ *
+ */
+public class CompatibilityChecker {
+
+	private static final String SYSTEM_ENABLED_KEY = "eclipse_version_checking_enabled"; //$NON-NLS-1$
+
+	public void check() {
+		new CheckingJob(isCheckingEnabled() && UsageReportPreferences.isEclipseVersionCheckingEnabled()).schedule();
+	}
+
+	private boolean isEclipseOutOfDate() {
+		return isPluginOutOfDate("org.eclipse.jdt", 3, 7, 2);
+	}
+
+	private boolean isWTPOfDate() {
+		return isPluginOutOfDate("org.eclipse.jst.j2ee.core", 1, 2, 102);
+	}
+
+	private boolean isPluginOutOfDate(String pluginId, int major, int minor, int micro) {
+		Bundle plugin = Platform.getBundle(pluginId);
+		if(plugin!=null) {
+			Version version = plugin.getVersion();
+			return version.compareTo(new Version(major, minor, micro)) < 0;
+		}
+		return false;
+	}
+
+	private void askUser() {
+		Display.getDefault().syncExec(new Runnable() {
+			public void run() {
+				Shell shell = PlatformUI.getWorkbench().getModalDialogShellProvider().getShell();
+				EclipseVersionDialog dialog = new EclipseVersionDialog(shell);
+				dialog.open();
+			}
+		});
+	}
+
+	/**
+	 * Returns <code>true</code> if checking is enabled in system settings.
+	 * 
+	 * @return
+	 */
+	private boolean isCheckingEnabled() {
+		return Boolean.valueOf(System.getProperty(SYSTEM_ENABLED_KEY, "true"));
+	}
+
+	private class CheckingJob extends Job {
+		private boolean showDialog;
+
+		private CheckingJob(boolean showDialog) {
+			super(CompatibilityMessages.CheckingJob);
+			this.showDialog = showDialog;
+		}
+
+		@Override
+		protected IStatus run(IProgressMonitor monitor) {
+			if (monitor.isCanceled()) {
+				return Status.CANCEL_STATUS;
+			}
+			monitor.beginTask(CompatibilityMessages.CheckingJob, 1);
+			if (monitor.isCanceled()) {
+				return Status.CANCEL_STATUS;
+			}
+			if (isEclipseOutOfDate() || isWTPOfDate()) {
+				if (monitor.isCanceled()) {
+					return Status.CANCEL_STATUS;
+				}
+				IStatus status = new Status(IStatus.WARNING, JBossToolsUsageActivator.PLUGIN_ID, CompatibilityMessages.CompatibilityCheckerEclipseLogWarningMessage);
+				JBossToolsUsageActivator.getDefault().getLog().log(status);
+				if(showDialog) {
+					askUser();
+				}
+			}
+			monitor.done();
+			return Status.OK_STATUS;
+		}
+	}
+}
\ No newline at end of file
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/UsageReportPreferences.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/UsageReportPreferences.java	(revision 42333)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/UsageReportPreferences.java	(working copy)
@@ -54,6 +54,17 @@
 	}
 
 	/**
+	 * Returns <code>true</code> if eclipse version checking is set in the
+	 * preferences. Returns <code>false</code> otherwise.
+	 * 
+	 * @return
+	 */
+	public static boolean isEclipseVersionCheckingEnabled() {
+		return UsageReportPreferencesUtils.getPreferences().getBoolean(
+				IUsageReportPreferenceConstants.ECLIPSE_VERSION_CHECKING_ID, true);
+	}
+
+	/**
 	 * Returns <code>true</code> if usage reporting is enabled
 	 * 
 	 * @return true, if is enabled
@@ -111,6 +122,17 @@
 	}
 
 	/**
+	 * Sets the ask user.
+	 * 
+	 * @param askUser
+	 *            the new ask user
+	 */
+	public static void setEclipseVerionChecking(boolean askUser) {
+		UsageReportPreferencesUtils.getStore().putValue(IUsageReportPreferenceConstants.ECLIPSE_VERSION_CHECKING_ID, String.valueOf(askUser));
+		save();
+	}
+
+	/**
 	 * Save.
 	 */
 	private static void save() {
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/IUsageReportPreferenceConstants.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/IUsageReportPreferenceConstants.java	(revision 42333)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/preferences/IUsageReportPreferenceConstants.java	(working copy)
@@ -31,6 +31,11 @@
 	public static final String ASK_USER_USAGEREPORT_ID = "ask_user_for_usage_report_preference"; //$NON-NLS-1$
 
 	/**
+	 * The identifier to be used for the value that determines if eclipse version should be checked
+	 */
+	public static final String ECLIPSE_VERSION_CHECKING_ID = "eclipse_version_checking_preference"; //$NON-NLS-1$
+
+	/**
 	 * The identifier to be used for the value that determines this eclipse
 	 * instance.
 	 */
Index: usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/reporting/UsageReportDispatcher.java
===================================================================
--- usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/reporting/UsageReportDispatcher.java	(revision 42333)
+++ usage/plugins/org.jboss.tools.usage/src/org/jboss/tools/usage/internal/reporting/UsageReportDispatcher.java	(working copy)
@@ -10,10 +10,12 @@
  ******************************************************************************/
 package org.jboss.tools.usage.internal.reporting;
 
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.IStartup;
+import org.jboss.tools.usage.installation.CompatibilityChecker;
 import org.jboss.tools.usage.internal.JBossToolsUsageActivator;
-import org.jboss.tools.usage.tracker.internal.UsagePluginLogger;
 
 /**
  * @author Andre Dieitsheim
@@ -26,10 +28,13 @@
 			public void run() {
 				try {
 					new UsageReport().report();
+					new CompatibilityChecker().check();
 				} catch (Exception e) {
-					new UsagePluginLogger(JBossToolsUsageActivator.getDefault()).error("could not start usage reporting");
+					IStatus status = new Status(IStatus.ERROR, JBossToolsUsageActivator.PLUGIN_ID, 0, "could not start usage reporting", e);
+					JBossToolsUsageActivator.getDefault().getLog().log(status);
+//					new UsagePluginLogger(JBossToolsUsageActivator.getDefault()).error("could not start usage reporting");
 				}
 			}
 		});
 	}
-}
+}
\ No newline at end of file
Index: usage/plugins/org.jboss.tools.usage/META-INF/MANIFEST.MF
===================================================================
--- usage/plugins/org.jboss.tools.usage/META-INF/MANIFEST.MF	(revision 42333)
+++ usage/plugins/org.jboss.tools.usage/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %bundle-name
 Bundle-SymbolicName: org.jboss.tools.usage;singleton:=true
-Bundle-Version: 1.1.0.qualifier
+Bundle-Version: 1.1.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Export-Package: org.jboss.tools.usage.branding,
  org.jboss.tools.usage.googleanalytics,
Index: usage/tests/org.jboss.tools.usage.test/META-INF/MANIFEST.MF
===================================================================
--- usage/tests/org.jboss.tools.usage.test/META-INF/MANIFEST.MF	(revision 42333)
+++ usage/tests/org.jboss.tools.usage.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %bundle-name
 Bundle-SymbolicName: org.jboss.tools.usage.test
-Bundle-Version: 1.1.0.qualifier
+Bundle-Version: 1.1.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Require-Bundle: org.jboss.tools.usage;bundle-version="1.0.0",
  org.eclipse.osgi;bundle-version="3.5.2",
Index: maven/plugins/org.jboss.tools.maven.cdi/META-INF/MANIFEST.MF
===================================================================
--- maven/plugins/org.jboss.tools.maven.cdi/META-INF/MANIFEST.MF	(revision 42333)
+++ maven/plugins/org.jboss.tools.maven.cdi/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.cdi;singleton:=true
-Bundle-Version: 1.3.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.maven.cdi.MavenCDIActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
Index: maven/plugins/org.jboss.tools.maven.profiles.ui/META-INF/MANIFEST.MF
===================================================================
--- maven/plugins/org.jboss.tools.maven.profiles.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ maven/plugins/org.jboss.tools.maven.profiles.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.profiles.ui;singleton:=true
-Bundle-Version: 1.3.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.maven.profiles.ui.Activator
 Require-Bundle: org.eclipse.ui,
Index: maven/plugins/org.jboss.tools.maven.hibernate/META-INF/MANIFEST.MF
===================================================================
--- maven/plugins/org.jboss.tools.maven.hibernate/META-INF/MANIFEST.MF	(revision 42333)
+++ maven/plugins/org.jboss.tools.maven.hibernate/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.hibernate;singleton:=true
-Bundle-Version: 1.3.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.maven.hibernate.MavenHibernateActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
Index: maven/plugins/org.jboss.tools.maven.gwt/META-INF/MANIFEST.MF
===================================================================
--- maven/plugins/org.jboss.tools.maven.gwt/META-INF/MANIFEST.MF	(revision 42333)
+++ maven/plugins/org.jboss.tools.maven.gwt/META-INF/MANIFEST.MF	(working copy)
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.gwt;singleton:=true
-Bundle-Version: 1.3.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.maven.gwt.MavenGWTPlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.m2e.core;bundle-version="[1.0.200,1.2.0)",
+ org.eclipse.m2e.core;bundle-version="[1.0.000,1.2.0)",
  org.eclipse.core.resources;bundle-version="3.7.100",
  com.google.gwt.eclipse.core;bundle-version="2.5.0",
  org.eclipse.jdt.core;bundle-version="3.7.0",
Index: maven/plugins/org.jboss.tools.maven.sourcelookup.ui/META-INF/MANIFEST.MF
===================================================================
--- maven/plugins/org.jboss.tools.maven.sourcelookup.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ maven/plugins/org.jboss.tools.maven.sourcelookup.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.maven.sourcelookup.ui;singleton:=true
-Bundle-Version: 1.3.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.maven.sourcelookup.ui.SourceLookupUIActivator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.jboss.tools.maven.sourcelookup.core;bundle-version="1.0.0",
  org.eclipse.debug.ui;bundle-version="3.7.0",
- org.eclipse.jdt.ui;bundle-version="3.7.1"
+ org.eclipse.jdt.ui;bundle-version="3.7.0"
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-Vendor: %BundleVendor
